Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:    	banshee
Version: 	1.3.0
Release: 	1
Summary: 	easily import, manage, and play selections from your music collection

Group:   	Multimedia
License: 	MIT
URL:     	http://banshee-project.org/
Source0: 	http://banshee-project.org/files/banshee/%{name}-1-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	ipod-sharp
BuildRequires: 	avahi-bindings-mono
BuildRequires: 	libmusicbrainz-devel >= 2.1.1
BuildRequires: 	gtk-sharp-devel
BuildRequires: 	mono-core-devel
BuildRequires: 	mono-data
BuildRequires: 	mono-data-sqlite
BuildRequires: 	hal-devel >= 0.5.6
BuildRequires: 	dbus-sharp >= 0.36.2
BuildRequires: 	sqlite-devel >= 3.4
BuildRequires: 	gstreamer10-devel >= 0.10
BuildRequires: 	gst-plugins-base-devel >= 0.10
BuildRequires: 	gst-plugins-good >= 0.10
BuildRequires: 	gnome-desktop-devel
BuildRequires: 	gnome-sharp-devel
BuildRequires: 	nautilus-cd-burner-devel
BuildRequires: 	dbus-sharp-devel
BuildRequires: 	gettext-devel
BuildRequires: 	perl(XML::Parser)
BuildRequires:	ndesk-dbus-devel ndesk-dbus-glib-devel mono-addins-devel taglib-sharp-devel boo-devel podsleuth-devel mono-zeroconf-devel

Requires:       libipoddevice ndesk-dbus ndesk-dbus-glib mono-addins taglib-sharp podsleuth
Requires(post): GConf
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Banshee allows you to import CDs, sync your music collection to an iPod,
play music directly from an iPod, create playlists with songs from your
library, and create audio and MP3 CDs from subsets of your library.

%prep
%setup -q -n %{name}-1-%{version}

%build
# try to work around a problem where gst-inspect does
# not find plugins the first time around
/usr/bin/gst-inspect-0.10 --print-all

export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure  --disable-docs --with-gstreamer-0-10 --disable-helix --sysconfdir=%_sysconfdir/gnome \
            --enable-external-ndesk-dbus \
            --enable-mtp --enable-podcast \
            --disable-gstreamer-plugins-check --disable-boo

make

%install
%{__rm} -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %name-1

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database %{_datadir}/applications

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}-1.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/banshee-1
%{_libdir}/banshee-1
%{_libdir}/pkgconfig/*.pc
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.bansheeproject.Banshee.service
%{_datadir}/dbus-1/services/org.bansheeproject.CollectionIndexer.service
%dir %{_datadir}/banshee-1
%{_datadir}/banshee-1/audio-profiles
%{_datadir}/banshee-1/icons/hicolor/
%{_datadir}/icons/hicolor/*
#%{_datadir}/icons/hicolor/scalable/apps/music-player-banshee.svg
#%{_sysconfdir}/gnome/gconf/schemas
#%exclude %{_datadir}/icons/hicolor/icon-theme.cache
#%exclude %{_libdir}/banshee/*.a
#%exclude %{_libdir}/banshee/*.la

%changelog
* Sun Sep 14 2008 Christian Metzen <metzench@ccux-linux.de> 1.3.0-1
- Version update
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 1.2.0-1
- Version update
* Wed Apr 16 2008 Christian Metzen <metzench@ccux-linux.de> 0.98.3-2
- removed schema file install, not neccessary anymore
* Wed Apr 16 2008 Christian Metzen <metzench@ccux-linux.de> 0.98.3-1
- Version update
* Fri Mar 14 2008 Christian Metzen <metzench@ccux-linux.de> 0.98.1-1
- Version update
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 0.13.2-1
- Version update
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 0.13.1-1
- Initial release